This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 894587 - Review Request: coin-or-Clp - Coin-or linear programming
Review Request: coin-or-Clp - Coin-or linear programming
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 894585 894586
Blocks: 894588 894589 894591 894594 894596 894597 894599 894600 894602 894603 894605 894606 894608 894609
  Show dependency treegraph
 
Reported: 2013-01-12 09:21 EST by Paulo Andrade
Modified: 2014-04-04 05:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: coin-or-Clp-1.15.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 05:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Comment (72.55 KB, text/plain)
2013-11-04 11:13 EST, Antonio Trande
no flags Details

  None (edit)
Description Paulo Andrade 2013-01-12 09:21:24 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp-1.14.7-3.fc19.src.rpm
Description: Clp (Coin-or linear programming) is an open-source linear programming
solver written in C++. It is primarily meant to be used as a callable
library, but a basic, stand-alone executable version is also available.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 09:22:28 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 16:12:09 EST
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp-1.14.8-1.fc19.src.rpm
Comment 3 Paulo Andrade 2013-11-01 11:58:38 EDT
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp-1.15.3-1.fc21.src.rpm
Comment 4 Paulo Andrade 2013-11-01 15:42:35 EDT
Update:

- Use proper _smp_flags macro (#894586#c6).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp-1.15.3-2.fc21.src.rpm
Comment 5 Antonio Trande 2013-11-04 10:26:51 EST
Hi Paulo.

There is a disagreement between the source archive 1.15.3 included in your src rpm and that one provided by the upstream http://www.coin-or.org/download/source/Clp/Clp-1.15.3.tgz (even though they have the same release number).

In that one from the upstream website, there are various bundled software in the ThirdParty directory.
Comment 6 Antonio Trande 2013-11-04 10:50:30 EST
(In reply to Antonio Trande from comment #5)
> Hi Paulo.
> 
> There is a disagreement between the source archive 1.15.3 included in your
> src rpm and that one provided by the upstream
> http://www.coin-or.org/download/source/Clp/Clp-1.15.3.tgz (even though they
> have the same release number).
> 
> In that one from the upstream website, there are various bundled software in
> the ThirdParty directory.

I hadn't read your comment#1.
Forget about my last comment. :P
Comment 7 Antonio Trande 2013-11-04 11:13:40 EST
Created attachment 915803 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 8 Paulo Andrade 2013-11-04 11:31:51 EST
Thanks again for the review. I corrected the source url now,
and add the missing requires.
The /pkgsource/ url was added by upstream some month ago
after my request for them to remove bundled/duplicated
subdirectories.

- Correct source url path (#894587#c7).
- Add coin-or-CoinUtils-devel requires to the devel package (#894587#c7).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Clp-1.15.3-3.fc21.src.rpm
Comment 9 Antonio Trande 2013-11-04 11:57:18 EST
Package approved !
Comment 10 Paulo Andrade 2013-11-04 12:28:41 EST
New Package SCM Request
=======================
Package Name: coin-or-Clp
Short Description: Coin-or linear programming
Owners: pcpa
Branches: f20
InitialCC:
Comment 11 Jon Ciesla 2013-11-04 13:16:08 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2014-03-26 11:22:05 EDT
coin-or-Clp-1.15.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Clp-1.15.3-3.fc20
Comment 13 Fedora Update System 2014-03-27 00:42:31 EDT
coin-or-Clp-1.15.3-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2014-04-04 05:46:44 EDT
coin-or-Clp-1.15.3-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.